/*
	File:		KeyMapTest.cp

	Contains:	TKeyMap is a KeyMap utility class.
  				TKeyMapTest.cp contains the test functions for the TKeyMap class.

	Written by: Kent Sandvik	

	Copyright:	Copyright  1992-1999 by Apple Computer, Inc., All Rights Reserved.

				You may incorporate this Apple sample source code into your program(s) without
				restriction. This Apple sample source code has been provided "AS IS" and the
				responsibility for its operation is yours. You are not permitted to redistribute
				this Apple sample source code as "Apple sample source code" after having made
				changes. If you're going to re-distribute the source, we require that you make
				it clear in the source that the code was descended from Apple sample source
				code, but that you've made changes.

	Change History (most recent first):
				8/18/1999	Karl Groethe	Updated for Metrowerks Codewarror Pro 2.1
				

*/
#ifndef _KEYMAP_
#include "KeyMap.h"
#endif

// This test will scan continously for key strokes, and print them
// out on the screen. Terminate this with command-. (MPW tool or another
// more decent environment).

void main(void)
{
	TKeyMap myKeyMap;

	// OK, run forever
	for (;;)
	{
		if (myKeyMap.OptionKeyDown())
			cout << "Option Key is down\n";
		if (myKeyMap.CommandKeyDown())
			cout << "Command Key is down\n";
		if (myKeyMap.ShiftKeyDown())
			cout << "Shift Key is down\n";
		if (myKeyMap.IsKeyDown(0x31))			// 0x31 = space bar
			cout << "Space Bar is down\n";
	}
}


// _________________________________________________________________________________________________________ //


/*	Change History (most recent last):
  No		Init.	Date		Comment
  1			khs		9/20/92		New file
*/
