/*
	File:		Menu.cp

	Contains:	TMenubar is a simple object that keeps track of the menubar 	
  				TMenu.cp contains TMenubar member functions.

	Written by: Kent Sandvik	

	Copyright:	Copyright  1992-1999 by Apple Computer, Inc., All Rights Reserved.

				You may incorporate this Apple sample source code into your program(s) without
				restriction. This Apple sample source code has been provided "AS IS" and the
				responsibility for its operation is yours. You are not permitted to redistribute
				this Apple sample source code as "Apple sample source code" after having made
				changes. If you're going to re-distribute the source, we require that you make
				it clear in the source that the code was descended from Apple sample source
				code, but that you've made changes.

	Change History (most recent first):
				8/18/1999	Karl Groethe	Updated for Metrowerks Codewarror Pro 2.1
				

*/
// HEADER FILES
#ifndef _MENU_
#include "Menu.h"
#endif


//	CONSTRUCTORS AND DESTRUCTORS
#pragma segment Menu
TMenubar::TMenubar(short ResourceID)
// Constructor, create a visible menu bar.
{
	Handle aMenubar = NULL;

	// Load the MBAR resource defined in the ID.
	aMenubar = ::GetNewMBar(ResourceID);
	ASSERT(aMenubar != NULL, "\pProblems loading in MBAR");

	if(aMenubar != NULL)
	{
		::SetMenuBar(aMenubar);						// install menus
		::DisposeHandle(aMenubar);					// don't need it any longer	
	
		::AppendResMenu(::GetMenuHandle(mApple), 'DRVR');	// add DA names to Apple menu
	
		::DrawMenuBar();							// install the menu bar itself
	}
}


#pragma segment Menu
TMenubar::~TMenubar()
// Default destructor -- empty for the time being.
{
}


// _________________________________________________________________________________________________________ //


/*	Change History (most recent last):
  No		Init.	Date		Comment
  1			khs		12/21/92	New file
  2			khs		1/7/93		Cleanup
*/
