/*
	File:		SpinCursorTest.cp

	Contains:	TSpinCursor is a simple cursor spinning class.
  				SpinCursorTest.cp contains the TSpinCursor test functions.

	Written by: Kent Sandvik	

	Copyright:	Copyright  1992-1999 by Apple Computer, Inc., All Rights Reserved.

				You may incorporate this Apple sample source code into your program(s) without
				restriction. This Apple sample source code has been provided "AS IS" and the
				responsibility for its operation is yours. You are not permitted to redistribute
				this Apple sample source code as "Apple sample source code" after having made
				changes. If you're going to re-distribute the source, we require that you make
				it clear in the source that the code was descended from Apple sample source
				code, but that you've made changes.

	Change History (most recent first):
				8/18/1999	Karl Groethe	Updated for Metrowerks Codewarror Pro 2.1
				

*/
#include "SpinCursor.h"

// This program will sping 20 times forwards and 20 time backwards.
// Don't forget to include the SpinCursor.r resources when you test
// the program.

const long kSpins = 20;							// # spins
const short kWatchID = 6500;					// acur resource ID
const short kDelayTime = 20;					// delay between spins

void main(void)
{
	cout << "Start of TSpinCursor test\n";

	//	Create TSpinCursor object.
	TSpinCursor mySpin(kWatchID);

	//	Spin forwards.
	cout << "First forwards\n";
	for (long ticking = 0; ticking < kSpins; ticking++)
	{
		::Delay(kDelayTime, NULL);
		mySpin.Spin();
	}

	// Change directions.
	mySpin.SetSpinDirection(TSpinCursor::kBackwards);

	//	Spin backwards.
	cout << "Then backwards\n";
	for (int ticking = 0; ticking < kSpins; ticking++)
	{
		::Delay(kDelayTime, NULL);
		mySpin.Spin();
	}

	cout << "End of the TSpinCursor test!\n";
}

// _________________________________________________________________________________________________________ //


/*	Change History (most recent last):
  No		Init.	Date		Comment
  1			khs		12/14/92	New file
  2			khs		1/3/93		Cleanup
*/
