/*
	File:		UserTerminationTest.cp

	Contains:	TUserTermination is a command dot tracking class, used for finding out if the end user wants to stop
  				an action. Most of the code is based on earlier snippet by Dave Radcliffe/DTS.
 		 		TUserTerminationTest .cp contains the class testing functions.

	Written by: Kent Sandvik	

	Copyright:	Copyright  1999 by Apple Computer, Inc., All Rights Reserved.

				You may incorporate this Apple sample source code into your program(s) without
				restriction. This Apple sample source code has been provided "AS IS" and the
				responsibility for its operation is yours. You are not permitted to redistribute
				this Apple sample source code as "Apple sample source code" after having made
				changes. If you're going to re-distribute the source, we require that you make
				it clear in the source that the code was descended from Apple sample source
				code, but that you've made changes.

	Change History (most recent first):
				8/18/1999	Karl Groethe	Updated for Metrowerks Codewarror Pro 2.1
				

*/
#include "UserTermination.h"

// This test will create one TUserTermination class on the stack, and abort when the
// user hits "command-.".

void main(void)
{
	cout << "Start of TUserTermination test\n";

	TUserTermination myTerminator;

	// run a loop, terminate when command-dot is pressed
	Boolean pressed = false;
	while (!pressed)
	{
		pressed = myTerminator.Abort();
	}

	cout << "End of TUserTermination test\n";
}

// _________________________________________________________________________________________________________ //

/*	Change History (most recent last):
  No		Init.	Date		Comment
  1			khs		9/26/92		New file
*/
